/*
  This mixin can be used to set the object-fit:
  @include object-fit(contain);

  or object-fit and object-position:
  @include object-fit(cover, top);
*/
@mixin object-fit( $fit: contain, $position: null ){
  -o-object-fit: $fit;
     object-fit: $fit;
  @if $position {
    -o-object-position: $position;
       object-position: $position;
    html.no-objectfit & { font-family: 'object-fit: #{$fit}; object-position: #{$position}'; }
  } @else {
    html.no-objectfit & { font-family: 'object-fit: #{$fit};'; }
  }
}